package o1.legal


// TODO: define JuridicalPerson, HumanOrganization, GeographicalFeature, and Group.
trait JuridicalPerson // etc.





// TODO: uncomment the classes below

/*
class Nation(name: String, contact: NaturalPerson) extends Entity(name), HumanOrganization(contact):
  def kind = "sovereign nation"

class Municipality(name: String, val nation: Nation, contact: NaturalPerson)
      extends Entity(name), HumanOrganization(contact):
  def kind = "municipality of " + this.nation.name


class Corporation(val id: String, val seeksProfit: Boolean, name: String, contact: NaturalPerson)
      extends Entity(name), HumanOrganization(contact):
  def kind = (if this.seeksProfit then "for-" else "non-") + "profit corporation"
*/

